use poem::{IntoResponse, Response};

use crate::{ructe_poem::render, templates};

pub async fn error(err: poem::Error) -> Response {
    let status = err.status().to_string();
    let message = err.to_string();
    render!(templates::error_html, &status, &message).into_response()
}
